Movider API Reference
MoviderMoviderAPI Reference
  • API Reference
SMS API
    Send SMSPOSTSend SMSGETSend SMS schedule messages.POSTList all scheduled SMS messages.GETGet a scheduled SMS message.GETCancel a scheduled SMS message.DELETEDelivery reports (DR) for SMSSMPP Connection
Campaign API
    Create a new campaignPOSTList campaign scheduledGETGet a campaign scheduledGETCancel a campaign scheduledDELETE
Viber API
    Create a new viber campaignPOSTList campaign scheduledGETGet a campaign scheduledGETCancel a campaign scheduledDELETE
VERIFICATION API
    Send VerifyPOSTAcknowledge VerifyPOSTCancel VerifyPOST
Voice API
    Send a voice callPOSTGet voice call statusGETVoice API Error codesSupported Voice Languages
BALANCE API
    Get account balancePOST
Contact API
    Create contactsPOSTList contactsGETGet contacts informationGETUpdate contacts informationPATCHDelete contactDELETE
Audience API
    Create a groupPOSTList audience informationGETGet audience informationGETUpdate audience informationPATCHDelete audienceDELETEGet contacts for a groupGETAdd contacts to a groupPUTRemove contacts from a groupDELETE
Chatapps Outbound API
    Send a WhatsApp message using an approved templatePOSTList WhatsApp credit wallets for the authenticated memberGETList approved WhatsApp templates for the authenticated memberGET
GENERAL API INFORMATION
    API Error codesAPI Error codes (extended)Schedule message status referenceDelivery reports (DR) status reference
Schemas
powered by Zudoku

Send Verify

POSThttps://api.movider.co/v1/verify

Send a Verify request to generate and send a PIN to your user.


Recent Requests

TimeStatusUser Agent
Make a request to see history.

Form Data

api_key string required

Your API key.

api_secret string required

Your API Secret.

to string required

The number to verify. The number must be specified in E.164 format.

code_length string

The length of the verification code (must be 4 or 6).

from string
  • The "from" field indicates the sender name or brand name used for sending messages to the recipient.
  • If you do not fill a sender name or brand name in the "from" field, the system will automatically use the default sender name.
  • You can send SMS messages with your own customized sender name by registering it with Movider.
  • Please note that the "from" field is case-sensitive. Ensure the sender name matches the case (lowercase or uppercase) you registered with Movider.
language string

Choose the language of the message template. Possible values are: en-au, en-gb, en-gb-wls, en-in, en-us, th-th, and vi-vn (default is en-gb).

pin_expire string

Time in seconds for the verification code to expire (default is 300 seconds).

Headers

accept string enum — defaults to application/json

Generated from available response content types

application/jsonapplication/xml

Responses

Example Request
curl --request POST \ \ --url "https://api.movider.co/v1/verify" \ --data-urlencode "api_key=<api_key>" \ --data-urlencode "api_secret=<api_secret>" \ --data-urlencode "to=<to>" \ --data-urlencode "code_length=<code_length>" \ --data-urlencode "from=<from>" \ --data-urlencode "language=<language>" \ --data-urlencode "pin_expire=<pin_expire>"
Response

Click Send to see the response.